org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryBean

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheQueryBean

    public class GridCacheQueryBean
    extends Object

Query execution bean.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQueryBean(GridCacheQueryAdapter<?> qry, IgniteReducer<Object,Object> rdc, IgniteClosure<Object,Object> trans, Object[] args)`

### Method Summary

Methods
`Object[]` `arguments()`
`GridCacheQueryAdapter<?>` `query()`
`IgniteReducer<Object,Object>` `reducer()`
`String` `toString()`
`IgniteClosure<Object,Object>` `transform()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheQueryBean

    public GridCacheQueryBean(GridCacheQueryAdapter<?> qry,
                      @Nullable
                      IgniteReducer<Object,Object> rdc,
                      @Nullable
                      IgniteClosure<Object,Object> trans,
                      @Nullable
                      Object[] args)

Parameters:
  `qry` - Query.
  `rdc` - Optional reducer.
  `trans` - Optional transformer.
  `args` - Optional arguments.

### Method Detail

#### query

    public GridCacheQueryAdapter<?> query()

Returns:
  Query.

#### reducer

    @Nullable
    public IgniteReducer<Object,Object> reducer()

Returns:
  Reducer.

#### transform

    @Nullable
    public IgniteClosure<Object,Object> transform()

Returns:
  Transformer.

#### arguments

    @Nullable
    public Object[] arguments()

Returns:
  Arguments.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015